Bug 442028 - SELinux preventing procmail recipe
Summary: SELinux preventing procmail recipe
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy   
(Show other bugs)
Version: 5.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-11 12:15 UTC by Bryan Hepworth
Modified: 2012-10-16 08:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:31:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux error log (8.32 KB, text/plain)
2008-04-11 12:15 UTC, Bryan Hepworth
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0163 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2009-01-20 16:05:21 UTC

Description Bryan Hepworth 2008-04-11 12:15:36 UTC
Description of problem:
I've created a new procmail recipe to allow users to email the server to turn 
vacation on and off. The orignal script is here:- 
http://ahab.com/code/vacationrc

Selinux errors as follows: -
   
SELinux is preventing sh (procmail_t) "getattr" to /bin/hostname
(hostname_exec_t).

SELinux is preventing /usr/bin/procmail (procmail_t) "execute" to hostname
(hostname_exec_t).

SELinux is preventing the /usr/bin/procmail from using potentially
mislabeled files (tmp). 

The errors said to file bugzilla


Version-Release number of selected component (if applicable):


How reproducible: Everytime the script is used


Steps to Reproduce:
1. Install script into .procmailrc
2. Turn script on in procmail
3.
  
Actual results:

Vacation message is not created

Expected results:

Vacation message to be sent


Additional info:

Comment 1 Bryan Hepworth 2008-04-11 12:15:36 UTC
Created attachment 302108 [details]
SELinux error log

Comment 2 Daniel Walsh 2008-05-02 20:05:21 UTC
You can add this rule using audit2allow

# grep procmail /var/log/audit/audit.log | audit2allow -M myprocmail
# semodule -i myprocmail.pp

This will be in either 5.2 or 5.3


Fixed in selinux-policy-2.4.6-138.el5

Comment 3 RHEL Product and Program Management 2008-07-16 17:50:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2009-01-20 21:31:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0163.html


Note You need to log in before you can comment on or make changes to this bug.